/*
 * Checkpoint.h
 *
 *  Created on: Mar 2, 2013
 *      Author: Brenda Javornik (e-mail: brendaj (at) cora.nwra.com)
 */

#ifndef CHECKPOINT_H_
#define CHECKPOINT_H_

#include <stdbool.h>

long getCheckpoint();

void setCheckpoint(long value, char *outputBaseDir, char *versionedOutputBaseDir);

bool runningWithCheckpoints();

int renameCheckpointFile();

void setCheckpointInputFile(char *filename);

char *getCheckpointInputFile();

int removeCheckpoints();

void destroyCheckpoint();

void writeCheckpoint(MAP_DEPTH_MATRIX w, FITSParameters parms, BaseDirectory *baseName);

#endif /* CHECKPOINT_H_ */
